<?php

namespace App\Http\Controllers;

use App\Models\Busqueda;
use App\Models\Indicadores;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Session;

class PageController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Display all the static pages when authenticated
     *
     * @param string $page
     * @return \Illuminate\View\View
     */
    public function index(string $page)
    {
        if (view()->exists("pages.{$page}")) {
            return view("pages.{$page}");
        }

        return abort(404);
    }
    public function busquedas()
    {
        $busquedas = Busqueda::where('estado', '=', '1')->first();
        $array = explode(",", $busquedas->todos);
        return $array;
    }
    public function dashboard()
    {
        $busquedas = Busqueda::where('estado', '=', '1')->first();
        //$array = explode(",", $busquedas->todos);
        

        $array = $this->busquedas();
          $mesActual = date('n');
        $anio = date('Y');
        if ($mesActual == 1) {
            // Si es enero, tomar diciembre del año anterior
            $mesOrigen = 12;
            $anioOrigen = $anio - 1;
        } else {
            // Cualquier otro mes toma el mes anterior del mismo año
            $mesOrigen = $mesActual - 1;
            $anioOrigen = $anio;
        }

        $tablero1[] = 0;
        $tablero2[] = 0;
        $tablero3[] = 0;
        $tablero4[] = 0;
        $tablero5[] = 0;
        $tablero6[] = 0;

        $tablero11 = 0;
        $tablero22 = 0;
        $tablero33 = 0;
        $tablero44 = 0;
        $tablero55 = 0;
        $tablero66 = 0;


        //$equipoHumano
        $equipoHumano = Indicadores::join('resultado', 'resultado.idIndicador', '=', 'indicadores.idIndicador')
            ->where('resultado.idMes', '=', $mesOrigen)
            ->where('indicadores.idTablero', '=', 1)
            ->where('resultado.año', '=', $anioOrigen)
            ->whereIn('indicadores.idIndicador', $array)
            ->get();


        if ($busquedas->idbusqueda == '1') {
            foreach ($equipoHumano as $value) {

                if ($value->valor == '') {
                    $tablero1[] = $value->valor;
                } else if ($value->tipo == 'n' && $value->meta == $value->valor) {
                    $tablero1[] = $value->peso;
                } else if ($value->tipo == 'n' && $value->meta != $value->valor) {
                    $tablero1[] = '0';
                } else if ($value->tipo == 'h' && $value->valor >= $value->meta) {
                    $tablero1[] = $value->peso;
                } else if ($value->tipo == 'h' && $value->valor < $value->meta && $value->peso * ($value->valor / $value->meta) >= 0) {
                    $tablero1[] = round($value->peso * ($value->valor / $value->meta), 2);
                } else if ($value->tipo == 'h' && $value->valor < $value->meta && $value->peso * ($value->valor / $value->meta) < 0) {
                    $tablero1[] = '0';
                } else if ($value->tipo == 'i' && $value->valor <= $value->meta) {
                    $tablero1[] = $value->peso;
                } else if ($value->tipo == 'i' && $value->valor > $value->meta && $value->valor >= (2 * $value->meta)) {
                    $tablero1[] = '0';
                }
            }
            $tablero11 = array_sum($tablero1);

        } else {

            $meta_total = 0;
            $valor_total = 0;

            foreach ($equipoHumano as $value) {
                if ($value->meta == 0 && $value->valor == 0) {
                    $porcentaje = 100;
                    $meta_equivalente = 100;
                    $valor_equivalente = 100;
                } elseif ($value->meta > 0) {
                    $porcentaje = ($value->valor / $value->meta) * 100;
                    $meta_equivalente = 100;
                    $valor_equivalente = $porcentaje;
                } else {
                    $porcentaje = 0;
                    $meta_equivalente = 0;
                    $valor_equivalente = 0;
                }

                // Acumulamos para totales
                $meta_total += $meta_equivalente;
                $valor_total += $valor_equivalente;
            }

            // Calcular el porcentaje global
            $porcentaje_global = $meta_total > 0 ? ($valor_total / $meta_total) * 100 : 0;
            $tablero11 = $porcentaje_global > 100 ? 100 : $porcentaje_global;
        }


        //$innovacion
        $innovacion = Indicadores::join('resultado', 'resultado.idIndicador', '=', 'indicadores.idIndicador')
            ->where('resultado.idMes', '=', $mesOrigen)
            ->where('indicadores.idTablero', '=', 2)
            ->where('resultado.año', '=', $anioOrigen)
            ->whereIn('indicadores.idIndicador', $array)
            ->get();

        if ($busquedas->idbusqueda == '1') {
            foreach ($innovacion as $value) {

                if ($value->valor == '') {
                    $tablero2[] = $value->valor;
                } else if ($value->tipo == 'n' && $value->meta == $value->valor) {
                    $tablero2[] = $value->peso;
                } else if ($value->tipo == 'n' && $value->meta != $value->valor) {
                    $tablero2[] = '0';
                } else if ($value->tipo == 'h' && $value->valor >= $value->meta) {
                    $tablero2[] = $value->peso;
                } else if ($value->tipo == 'h' && $value->valor < $value->meta && $value->peso * ($value->valor / $value->meta) >= 0) {
                    $tablero2[] = round($value->peso * ($value->valor / $value->meta), 2);
                } else if ($value->tipo == 'h' && $value->valor < $value->meta && $value->peso * ($value->valor / $value->meta) < 0) {
                    $tablero2[] = '0';
                } else if ($value->tipo == 'i' && $value->valor <= $value->meta) {
                    $tablero2[] = $value->peso;
                } else if ($value->tipo == 'i' && $value->valor > $value->meta && $value->valor >= (2 * $value->meta)) {
                    $tablero2[] = '0';
                }
            }
            $tablero22 = array_sum($tablero2);
        } else {
            $meta_total = 0;
            $valor_total = 0;

            foreach ($innovacion as $value) {
                if ($value->meta == 0 && $value->valor == 0) {
                    $porcentaje = 100;
                    $meta_equivalente = 100;
                    $valor_equivalente = 100;
                } elseif ($value->meta > 0) {
                    $porcentaje = ($value->valor / $value->meta) * 100;
                    $meta_equivalente = 100;
                    $valor_equivalente = $porcentaje;
                } else {
                    $porcentaje = 0;
                    $meta_equivalente = 0;
                    $valor_equivalente = 0;
                }

                // Acumulamos para totales
                $meta_total += $meta_equivalente;
                $valor_total += $valor_equivalente;
            }

            // Calcular el porcentaje global
            $porcentaje_global = $meta_total > 0 ? ($valor_total / $meta_total) * 100 : 0;
            $tablero22 = $porcentaje_mostrar = $porcentaje_global > 100 ? 100 : $porcentaje_global;
        }


        //mejoras
        $mejoras = Indicadores::join('resultado', 'resultado.idIndicador', '=', 'indicadores.idIndicador')
            ->where('resultado.idMes', '=', $mesOrigen)
            ->where('indicadores.idTablero', '=', 3)
            ->where('resultado.año', '=', $anioOrigen)
            ->whereIn('indicadores.idIndicador', $array)
            ->get();
        if ($busquedas->idbusqueda == '1') {
            foreach ($mejoras as $value) {

                if ($value->valor == '') {
                    $tablero3[] = $value->valor;
                } else if ($value->tipo == 'n' && $value->meta == $value->valor) {
                    $tablero3[] = $value->peso;
                } else if ($value->tipo == 'n' && $value->meta != $value->valor) {
                    $tablero3[] = '0';
                } else if ($value->tipo == 'h' && $value->valor >= $value->meta) {
                    $tablero3[] = $value->peso;
                } else if ($value->tipo == 'h' && $value->valor < $value->meta && $value->peso * ($value->valor / $value->meta) >= 0) {
                    $tablero3[] = round($value->peso * ($value->valor / $value->meta), 2);
                } else if ($value->tipo == 'h' && $value->valor < $value->meta && $value->peso * ($value->valor / $value->meta) < 0) {
                    $tablero3[] = '0';
                } else if ($value->tipo == 'i' && $value->valor <= $value->meta) {
                    $tablero3[] = $value->peso;
                } else if ($value->tipo == 'i' && $value->valor > $value->meta && $value->valor >= (2 * $value->meta)) {
                    $tablero3[] = '0';
                }
            }
            $tablero33 = array_sum($tablero3);
        } else {

            $meta_total = 0;
            $valor_total = 0;

            foreach ($mejoras as $value) {
                if ($value->meta == 0 && $value->valor == 0) {
                    $porcentaje = 100;
                    $meta_equivalente = 100;
                    $valor_equivalente = 100;
                } elseif ($value->meta > 0) {
                    $porcentaje = ($value->valor / $value->meta) * 100;
                    $meta_equivalente = 100;
                    $valor_equivalente = $porcentaje;
                } else {
                    $porcentaje = 0;
                    $meta_equivalente = 0;
                    $valor_equivalente = 0;
                }

                // Acumulamos para totales
                $meta_total += $meta_equivalente;
                $valor_total += $valor_equivalente;
            }

            // Calcular el porcentaje global
            $porcentaje_global = $meta_total > 0 ? ($valor_total / $meta_total) * 100 : 0;
            $tablero33 = $porcentaje_mostrar = $porcentaje_global > 100 ? 100 : $porcentaje_global;
        }


        //participacion
        $participacion = Indicadores::join('resultado', 'resultado.idIndicador', '=', 'indicadores.idIndicador')
            ->where('resultado.idMes', '=', $mesOrigen)
            ->where('indicadores.idTablero', '=', 4)
            ->where('resultado.año', '=', $anioOrigen)
            ->whereIn('indicadores.idIndicador', $array)
            ->get();

        if ($busquedas->idbusqueda == '1') {
            foreach ($participacion as $value) {

                if ($value->valor == '') {
                    $tablero4[] = $value->valor;
                } else if ($value->tipo == 'n' && $value->meta == $value->valor) {
                    $tablero4[] = $value->peso;
                } else if ($value->tipo == 'n' && $value->meta != $value->valor) {
                    $tablero4[] = '0';
                } else if ($value->tipo == 'h' && $value->valor >= $value->meta) {
                    $tablero4[] = $value->peso;
                } else if ($value->tipo == 'h' && $value->valor < $value->meta && $value->peso * ($value->valor / $value->meta) >= 0) {
                    $tablero4[] = round($value->peso * ($value->valor / $value->meta), 2);
                } else if ($value->tipo == 'h' && $value->valor < $value->meta && $value->peso * ($value->valor / $value->meta) < 0) {
                    $tablero4[] = '0';
                } else if ($value->tipo == 'i' && $value->valor <= $value->meta) {
                    $tablero4[] = $value->peso;
                } else if ($value->tipo == 'i' && $value->valor > $value->meta && $value->valor >= (2 * $value->meta)) {
                    $tablero4[] = '0';
                }
            }
            $tablero44 = array_sum($tablero4);
        } else {

            $meta_total = 0;
            $valor_total = 0;

            foreach ($participacion as $value) {
                if ($value->meta == 0 && $value->valor == 0) {
                    $porcentaje = 100;
                    $meta_equivalente = 100;
                    $valor_equivalente = 100;
                } elseif ($value->meta > 0) {
                    $porcentaje = ($value->valor / $value->meta) * 100;
                    $meta_equivalente = 100;
                    $valor_equivalente = $porcentaje;
                } else {
                    $porcentaje = 0;
                    $meta_equivalente = 0;
                    $valor_equivalente = 0;
                }

                // Acumulamos para totales
                $meta_total += $meta_equivalente;
                $valor_total += $valor_equivalente;
            }

            // Calcular el porcentaje global
            $porcentaje_global = $meta_total > 0 ? ($valor_total / $meta_total) * 100 : 0;
            $tablero44 = $porcentaje_mostrar = $porcentaje_global > 100 ? 100 : $porcentaje_global;
        }

        //sustentabilidad
        $sustentabilidad = Indicadores::join('resultado', 'resultado.idIndicador', '=', 'indicadores.idIndicador')
            ->where('resultado.idMes', '=', $mesOrigen)
            ->where('indicadores.idTablero', '=', 5)
            ->where('resultado.año', '=', $anioOrigen)
            ->whereIn('indicadores.idIndicador', $array)
            ->get();

        if ($busquedas->idbusqueda == '1') {
            foreach ($sustentabilidad as $value) {

                if ($value->valor == '') {
                    $tablero5[] = $value->valor;
                } else if ($value->tipo == 'n' && $value->meta == $value->valor) {
                    $tablero5[] = $value->peso;
                } else if ($value->tipo == 'n' && $value->meta != $value->valor) {
                    $tablero5[] = '0';
                } else if ($value->tipo == 'h' && $value->valor >= $value->meta) {
                    $tablero5[] = $value->peso;
                } else if ($value->tipo == 'h' && $value->valor < $value->meta && $value->peso * ($value->valor / $value->meta) >= 0) {
                    $tablero5[] = round($value->peso * ($value->valor / $value->meta), 2);
                } else if ($value->tipo == 'h' && $value->valor < $value->meta && $value->peso * ($value->valor / $value->meta) < 0) {
                    $tablero5[] = '0';
                } else if ($value->tipo == 'i' && $value->valor <= $value->meta) {
                    $tablero5[] = $value->peso;
                } else if ($value->tipo == 'i' && $value->valor > $value->meta && $value->valor >= (2 * $value->meta)) {
                    $tablero5[] = '0';
                }
            }
            $tablero55 = array_sum($tablero5);
        } else {

            $meta_total = 0;
            $valor_total = 0;

            foreach ($sustentabilidad as $value) {
                if ($value->meta == 0 && $value->valor == 0) {
                    $porcentaje = 100;
                    $meta_equivalente = 100;
                    $valor_equivalente = 100;
                } elseif ($value->meta > 0) {
                    $porcentaje = ($value->valor / $value->meta) * 100;
                    $meta_equivalente = 100;
                    $valor_equivalente = $porcentaje;
                } else {
                    $porcentaje = 0;
                    $meta_equivalente = 0;
                    $valor_equivalente = 0;
                }

                // Acumulamos para totales
                $meta_total += $meta_equivalente;
                $valor_total += $valor_equivalente;
            }

            // Calcular el porcentaje global
            $porcentaje_global = $meta_total > 0 ? ($valor_total / $meta_total) * 100 : 0;
            $tablero55 = $porcentaje_mostrar = $porcentaje_global > 100 ? 100 : $porcentaje_global;
        }



        //rentabilidad
        $rentabilidad = Indicadores::join('resultado', 'resultado.idIndicador', '=', 'indicadores.idIndicador')
            ->where('resultado.idMes', '=', $mesOrigen)
            ->where('indicadores.idTablero', '=', 6)
            ->where('resultado.año', '=', $anioOrigen)
            ->whereIn('indicadores.idIndicador', $array)
            ->get();

        if ($busquedas->idbusqueda == '1') {
            foreach ($rentabilidad as $value) {

                if ($value->valor == '') {
                    $tablero6[] = $value->valor;
                } else if ($value->tipo == 'n' && $value->meta == $value->valor) {
                    $tablero6[] = $value->peso;
                } else if ($value->tipo == 'n' && $value->meta != $value->valor) {
                    $tablero6[] = '0';
                } else if ($value->tipo == 'h' && $value->valor >= $value->meta) {
                    $tablero6[] = $value->peso;
                } else if ($value->tipo == 'h' && $value->valor < $value->meta && $value->peso * ($value->valor / $value->meta) >= 0) {
                    $tablero6[] = round($value->peso * ($value->valor / $value->meta), 2);
                } else if ($value->tipo == 'h' && $value->valor < $value->meta && $value->peso * ($value->valor / $value->meta) < 0) {
                    $tablero6[] = '0';
                } else if ($value->tipo == 'i' && $value->valor <= $value->meta) {
                    $tablero6[] = $value->peso;
                } else if ($value->tipo == 'i' && $value->valor > $value->meta && $value->valor >= (2 * $value->meta)) {
                    $tablero6[] = '0';
                }
            }
            $tablero66 = array_sum($tablero6);
        } else {
            $meta_total = 0;
            $valor_total = 0;

            foreach ($rentabilidad as $value) {
                if ($value->meta == 0 && $value->valor == 0) {
                    $porcentaje = 100;
                    $meta_equivalente = 100;
                    $valor_equivalente = 100;
                } elseif ($value->meta > 0) {
                    $porcentaje = ($value->valor / $value->meta) * 100;
                    $meta_equivalente = 100;
                    $valor_equivalente = $porcentaje;
                } else {
                    $porcentaje = 0;
                    $meta_equivalente = 0;
                    $valor_equivalente = 0;
                }

                // Acumulamos para totales
                $meta_total += $meta_equivalente;
                $valor_total += $valor_equivalente;
            }

            // Calcular el porcentaje global
            $porcentaje_global = $meta_total > 0 ? ($valor_total / $meta_total) * 100 : 0;
            $tablero66 = $porcentaje_mostrar = $porcentaje_global > 100 ? 100 : $porcentaje_global;
        }



        return view('pages.dashboard', [
            'estado' => $busquedas->idbusqueda,
            'tablero1' => number_format($tablero11, 2),
            'tablero2' => number_format($tablero22, 2),
            'tablero3' => number_format($tablero33, 2),
            'tablero4' => number_format($tablero44, 2),
            'tablero5' => number_format($tablero55, 2),
            'tablero6' => number_format($tablero66, 2),
            'tablero7' => number_format((($tablero11 + $tablero22 + $tablero33 + $tablero44 + $tablero55 + $tablero66) / 6), 2),
        ]);
    }
    public function filosofia()
    {
        return view('pages.filosofia');
    }

    public function busqueda()
    {
        $equipoHumano = DB::table('indicadores')
            ->where('idTablero', '=', 1)
            ->pluck('indicador', 'idIndicador')
            ->all();
        $innovacion = DB::table('indicadores')
            ->where('idTablero', '=', 2)
            ->pluck('indicador', 'idIndicador')
            ->all();
        $mejora = DB::table('indicadores')
            ->where('idTablero', '=', 3)
            ->pluck('indicador', 'idIndicador')
            ->all();

        $participacion = DB::table('indicadores')
            ->where('idTablero', '=', 4)
            ->pluck('indicador', 'idIndicador')
            ->all();

        $sustentabilidad = DB::table('indicadores')
            ->where('idTablero', '=', 5)
            ->pluck('indicador', 'idIndicador')
            ->all();

        $rentabilidad = DB::table('indicadores')
            ->where('idTablero', '=', 6)
            ->pluck('indicador', 'idIndicador')
            ->all();

        return view('pages.busqueda', [
            'equipoHumano' => $equipoHumano,
            'innovacion' => $innovacion,
            'mejora' => $mejora,
            'participacion' => $participacion,
            'sustentabilidad' => $sustentabilidad,
            'rentabilidad' => $rentabilidad,

        ]);
    }
    public function saveBusqueda(Request $request)
    {

        $indicadores = DB::table('indicadores')
            ->pluck('idIndicador', 'idIndicador')
            ->all();

        //$todos = implode(",", $indicadores);
        busqueda::where('idbusqueda', '=', '1')
            ->update([
                //'todos' => $todos,
                'estado' => '0'
            ]);

        $registro = new busqueda();
        $registro->equipohumano = $equipo = isset($request->equipoHumano) ? implode(",", $request->equipoHumano) : 0;
        $registro->innovacion = $innovacion = isset($request->innovacion) ? implode(",", $request->innovacion) : 0;
        $registro->mejora = $mejora = isset($request->mejora) ? implode(",", $request->mejora) : 0;
        $registro->participacion = $participacion = isset($request->participacion) ? implode(",", $request->participacion) : 0;
        $registro->sustentabilidad = $sustentabilidad = isset($request->sustentabilidad) ? implode(",", $request->sustentabilidad) : 0;
        $registro->rentabilidad = $rentabilidad = isset($request->rentabilidad) ? implode(",", $request->rentabilidad) : 0;
        $registro->todos = $equipo . ',' . $innovacion . ',' . $mejora . ',' . $participacion . ',' . $sustentabilidad . ',' . $rentabilidad;
        $registro->fecha = date("Y-m-d");
        $registro->estado = 1;
        $registro->nombre = $request->nombre;
        $registro->save();

        flash()->addSuccess(
            'Registro Actualizado correctamente!',
            ''
        );
        return Redirect::to('listarBusqueda');
    }
    public function listarBusqueda()
    {
        $data = DB::table('busqueda')->get();

        return view('pages.listarBusqueda', [
            'data' => $data,

        ]);
    }
    public function editarBusqueda($id)
    {

        if ($id == 1) {
            Session::put('activar', 1);
        } else {
            Session::put('activar', 0);
        }

        DB::table('busqueda')
            ->update(['estado' => 0]);

        DB::table('busqueda')
            ->where('idbusqueda', $id)
            ->update(['estado' => 1]);

        flash()->addSuccess(
            'Registro Actualizado correctamente!',
            ''
        );
        return Redirect::to('listarBusqueda');
    }
    public function eliminarBusqueda($id)
    {
        try {
            $registro = busqueda::find($id);
            $registro->delete();

            flash()->addSuccess(
                'Registro Eliminado correctamente!',
                ''
            );
            return Redirect::to('listarBusqueda');
        } catch (\Exception $e) {
            flash()->addError(
                'No se ha podido eliminar el registro!',
                ''
            );
            return Redirect::to('listarBusqueda');
        }
    }

    public function actualizarBusqueda($id)
    {

        $busquedas = Busqueda::where('idbusqueda', '=', $id)->first();

        // Recuperar los valores guardados en la base de datos
        $equipoHumano_editar = explode(',', $busquedas->equipohumano);
        $innovacion_editar = explode(',', $busquedas->innovacion);
        $mejora_editar = explode(',', $busquedas->mejora);
        $participacion_editar = explode(',', $busquedas->participacion);
        $sustentabilidad_editar = explode(',', $busquedas->sustentabilidad);
        $rentabilidad_editar = explode(',', $busquedas->rentabilidad);


        $equipoHumano = DB::table('indicadores')
            ->where('idTablero', '=', 1)
            ->pluck('indicador', 'idIndicador')
            ->all();
        $innovacion = DB::table('indicadores')
            ->where('idTablero', '=', 2)
            ->pluck('indicador', 'idIndicador')
            ->all();
        $mejora = DB::table('indicadores')
            ->where('idTablero', '=', 3)
            ->pluck('indicador', 'idIndicador')
            ->all();

        $participacion = DB::table('indicadores')
            ->where('idTablero', '=', 4)
            ->pluck('indicador', 'idIndicador')
            ->all();

        $sustentabilidad = DB::table('indicadores')
            ->where('idTablero', '=', 5)
            ->pluck('indicador', 'idIndicador')
            ->all();

        $rentabilidad = DB::table('indicadores')
            ->where('idTablero', '=', 6)
            ->pluck('indicador', 'idIndicador')
            ->all();

        return view('pages.busquedaUpdate', [
            'equipoHumano' => $equipoHumano,
            'innovacion' => $innovacion,
            'mejora' => $mejora,
            'participacion' => $participacion,
            'sustentabilidad' => $sustentabilidad,
            'rentabilidad' => $rentabilidad,
            'equipoHumano_editar' => $equipoHumano_editar,
            'innovacion_editar' => $innovacion_editar,
            'mejora_editar' => $mejora_editar,
            'participacion_editar' => $participacion_editar,
            'sustentabilidad_editar' => $sustentabilidad_editar,
            'rentabilidad_editar' => $rentabilidad_editar,
            'nombre_editar' => $busquedas->nombre,
            'id' => $busquedas->idbusqueda

        ]);
    }

    public function saveActualizarBusqueda(Request $request, $id)
    {

        // Buscar la búsqueda que se desea actualizar
        $busqueda = Busqueda::findOrFail($id);

        // Actualizar los campos de la búsqueda
        $busqueda->nombre = $request->input('nombre');

        // Convertir los arrays de los indicadores en cadenas de texto (como IDs separados por comas)
        $busqueda->equipohumano = $equipo =$request->input('equipoHumano') ? implode(',', $request->input('equipoHumano')) : 0;
        $busqueda->innovacion = $innovacion =$request->input('innovacion') ? implode(',', $request->input('innovacion')) : 0;
        $busqueda->mejora = $mejora =$request->input('mejora') ? implode(',', $request->input('mejora')) : 0;
        $busqueda->participacion = $participacion = $request->input('participacion') ? implode(',', $request->input('participacion')) : 0;
        $busqueda->sustentabilidad = $sustentabilidad =$request->input('sustentabilidad') ? implode(',', $request->input('sustentabilidad')) : 0;
        $busqueda->rentabilidad = $rentabilidad = $request->input('rentabilidad') ? implode(',', $request->input('rentabilidad')) : 0;
        $busqueda->todos = $equipo . ',' . $innovacion . ',' . $mejora . ',' . $participacion . ',' . $sustentabilidad . ',' . $rentabilidad;

        // Guardar los cambios
        $busqueda->save();

        // Redirigir a la página de búsqueda con un mensaje de éxito
        //return redirect()->route('listarBusqueda')->with('success', 'Búsqueda actualizada correctamente.');
        flash()->addSuccess(
            'Registro Actualizado correctamente!',
            ''
        );
        return Redirect::to('listarBusqueda');
    }
}
